Bug 1619761 - [RFE] Python 3 Support Essential Across Entire Director Code-Base
Summary: [RFE] Python 3 Support Essential Across Entire Director Code-Base
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Emilien Macchi
QA Contact: Artem Hrechanychenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-21 16:27 UTC by David Peacock
Modified: 2019-09-26 10:45 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.5.1-0.20190606110437.b9992d9.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:18:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:00 UTC

Description David Peacock 2018-08-21 16:27:59 UTC
Description of problem:

Future versions of Red Hat Enterprise Linux, starting with version 8.0, will eliminate legacy Python 2 support.

This work must be done in time for Red Hat OpenStack Platform 15 to ensure all code is Python 3 compliant.

Condition of satisfaction: All Director related code runs on Python 3.

Comment 11 errata-xmlrpc 2019-09-21 11:18:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.